/**
 * RoutingNodeClient
 * 経路決定ノードのクライアントインターフェース(インターフェース)
 */
package org.logical_paradox.rss.router;

import java.rmi.Remote;

import org.logical_paradox.rss.dsync.RSSSyncInterface;
import org.logical_paradox.rss.dsync.SyncCommand;

public interface RoutingNodeClient extends Remote,RSSSyncInterface {
	// RSSSyncInterfaceのもの
	public void sync( SyncCommand[] locks ) throws Exception;					// 送信方向
	public SyncCommand[] getSyncData() throws Exception;						// 受信方向
	public String getNodeId() throws Exception;									// 接続元ノードID
	public String getParentNodeId() throws Exception;							// 接続先ノードID

	// このインターフェース固有のもの
	public String[] getAllowedRoutingIPRanges() throws Exception;				// ルーティングが許可されているIP範囲
}

// end of RoutingNodeClient.java
